# Interface for submodule: EndEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: EndEvent
from ._proxies import EndEventProxy as _EndEventProxy
class _EndEventTemplate(_itkTemplate):
    """Interface for instantiating itk::EndEvent"""

    def __new__(cls, *args: Any) -> _EndEventProxy:
        """Instantiate itk::EndEvent"""
        ...

    def __call__(self, *args: Any) -> _EndEventProxy:
        """Instantiate itk::EndEvent"""
        ...

EndEvent = _EndEventTemplate

